from flask import Flask, request, jsonify
import json

app = Flask(__name__)

# فایل برای ذخیره متن
TEXT_FILE = "text.json"

# خواندن متن از فایل
def read_text():
    try:
        with open(TEXT_FILE, 'r') as file:
            data = json.load(file)
            return data.get("text", "سلام به دنیا!")
    except FileNotFoundError:
        return "سلام به دنیا!"

# نوشتن متن به فایل
def write_text(new_text):
    with open(TEXT_FILE, 'w') as file:
        json.dump({"text": new_text}, file)

# روت برای دریافت متن
@app.route('/get_text', methods=['GET'])
def get_text():
    return jsonify({"text": read_text()}), 200

# روت برای به‌روزرسانی متن
@app.route('/update_text', methods=['POST'])
def update_text():
    data = request.json
    if "text" in data:
        write_text(data['text'])
        return jsonify({"message": "متن به‌روزرسانی شد"}), 200
    else:
        return jsonify({"error": "متن ارسال نشده است"}), 400

if __name__ == "__main__":
    app.run(host="0.0.0.0", port=5000)
